.TH HELICAL 1 2009-09-04 0.2
.SH NAME
helical \- control Bittorrent client Transmission from command line
.SH SYNOPSIS
.B helical
.I [options] [[hostname][:port]] [command]
.SH "DESCRIPTION"
\fBhelical\fP is a remote control utility for Bittorrent client Transmission.

By default, \fBhelical\fP connects to the Transmission session at
localhost:9091. Other sessions can be controlled by specifying a
different \fIhostname\fP and/or \fIport\fP.

\fBhelical\fP operates in two modes: from command line and in interactive
mode. To run \fBhelical\fP in interactive mode start it without a \fIcommand\fP.
For the commands list please refer to \fBCOMMANDS\fP section.
.SH OPTIONS
.TP
\fB-u\fP \fIUSERNAME\fP, \fB--username\fP=\fIUSERNAME\fP
Authentication username.
.TP
\fB-p\fP \fIPASSWORD\fP, \fB--password\fP=\fIPASSWORD\fP
Authentication password.
.SH COMMANDS
.TP
\fBadd\fP \fItorrent-file\fP | \fIURL\fP [\fItarget-dir\fP \fIpaused\fP=(\fIyes\fP|\fIno\fP) \fIpeer-limit\fP=\fI#\fP]
Add a torrent specified by \fItorrent-file\fP or \fIURL\fP to the transfer list.
Use \fItarget-dir\fP as download location for torrent. Set \fIpaused\fP to
\fIyes\fP or \fIno\fP, to start or stop torrent activity respectively. Add
\fIpeer-limit\fP option to specify maximum number of peers.
.TP
\fBexit\fP, \fBquit\fP
Exit from \fBhelical\fP.
.TP
\fBinfo\fP [\fItorrent-id\fP, ...]
Get details for a torrent. If no \fItorrent-id\fP is provided, all torrents
are displayed.
.TP
\fBlist\fP
List all torrent transfers.
.TP
\fBremove\fP \fItorrent-id\fP [, ...]
Remove one or more torrents from the transfer list.
.TP
\fBsession\fP \fIget\fP | \fIstats\fP
Get session parameters or session statistics.
.TP
\fBstart\fP \fItorrent-id\fP [, ...]
Start one or more queued torrent transfers.
.TP
\fBstop\fP \fItorrent-id\fP [, ...]
Stop one or more active torrent transfers.
.TP
\fBverify\fP \fItorrent-id\fP [, ...]
Verify one or more torrent transfers.
.SH AUTHOR
Erik Svensson
.SH SEE ALSO
transmissioncli(1), transmission-daemon(1), transmission-remote(1)

http://www.transmissionbt.com/
